View Issue Details

IDProjectCategoryView StatusLast Update
0006915Talermerchant backend API (C)public2021-07-23 17:18
Reportersebasjm Assigned ToChristian Grothoff  
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Versiongit (master)Fixed in Version0.9 
Summary0006915: using create_token in order creation doesn't work as expected
Descriptionposting an order creation with create_token:false without fulfillment_url create the order but then is not possible to query status.

GET /private/orders/$ORDER_ID
expected: 200 in the status, response body with order details
result: 403 in the status, response body
{
  "code": 2105,
  "hint": "The token used to authenticate the client is invalid for this order.",
  "detail": null
}

posting an order creation with create_token:false with fulfillment_url create the order, it is possible to query status, but it doesn't have "taler_pay_uri"

GET /private/orders/$ORDER_ID
expected: 200 in the status, response body with order details
result: 200 in the status, response body
{
  "fulfillment_url": "whatever"
}
TagsNo tags attached.

Activities

Christian Grothoff

2021-07-23 17:18

manager   ~0018009

Fixed today.

Issue History

Date Modified Username Field Change
2021-07-07 06:47 sebasjm New Issue
2021-07-07 06:47 sebasjm Status new => assigned
2021-07-07 06:47 sebasjm Assigned To => Christian Grothoff
2021-07-08 20:18 sebasjm Priority normal => high
2021-07-08 20:18 sebasjm Severity minor => major
2021-07-13 06:47 Christian Grothoff Assigned To Christian Grothoff =>
2021-07-13 06:47 Christian Grothoff Status assigned => confirmed
2021-07-23 17:18 Christian Grothoff Assigned To => Christian Grothoff
2021-07-23 17:18 Christian Grothoff Status confirmed => resolved
2021-07-23 17:18 Christian Grothoff Resolution open => fixed
2021-07-23 17:18 Christian Grothoff Fixed in Version => 0.9
2021-07-23 17:18 Christian Grothoff Note Added: 0018009